<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Edgar Allan Poe's Snifter of Terror</Series>
  <Number>006</Number>
  <Web>https://www.comixology.com/Edgar-Allan-Poe-s-Snifter-of-Terror-6/digital-comic/762116</Web>
  <Summary>"The Tragic Tale of Franken Cherrie" tells the terrifying origin of the man-made monster who stays crunchy in milk! Then, a Wall Street mover buys his mysterious doppelganger in "William Wilson!" EXTRA! Poe and the Black Cat try to destroy each other again! PLUS! Prose, pictures, and possibly poetry! Special painted wraparound cover by Richard Williams (MAD)!</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB762116]</Notes>
  <Publisher>AHOY Comics</Publisher>
  <Genre>Horror, Comedy</Genre>
  <PageCount>36</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
